Robotsystem of the Robot Group Leipzig: StatisticMeasure Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# StatisticMeasure Class Reference

`#include <statisticmeasure.h>`

Inherits AbstractMeasure.

Inheritance diagram for StatisticMeasure:

[legend]
Collaboration diagram for StatisticMeasure:

[legend]
List of all members.

## Public Member Functions
| StatisticMeasure (double &observedValue, const char *measureName, MeasureMode mode, long stepSpan, double additionalParam)
virtual | ~StatisticMeasure ()
virtual void | step ()
## Protected Member Functions
void | internInit ()
virtual double | calculateSumValue ()
virtual double | calculateAverageValue ()
virtual double | calculateMovingAverageValue ()
virtual double | calculateStepDifference ()
virtual double | calculateNormalizedStepDifference ()
virtual double | testConvergence ()
## Protected Attributes
double & | observedValue
MeasureMode | mode
long | stepSpan
double | additionalParam
long | oldestStepIndex
long | newestStepIndex
double * | valueHistory
long | stepsReached

## Constructor & Destructor Documentation

StatisticMeasure | ( | double & | observedValue,
|  | const char * | measureName,
|  | MeasureMode | mode,
|  | long | stepSpan,
|  | double | additionalParam |
| ) |  |  |

virtual ~StatisticMeasure | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

double calculateAverageValue | ( |  | ) | `[protected, virtual]`

double calculateMovingAverageValue | ( |  | ) | `[protected, virtual]`

double calculateNormalizedStepDifference | ( |  | ) | `[protected, virtual]`

double calculateStepDifference | ( |  | ) | `[protected, virtual]`

double calculateSumValue | ( |  | ) | `[protected, virtual]`

void internInit | ( |  | ) | `[protected]`

void step | ( |  | ) | `[virtual]`

Implements AbstractMeasure.

double testConvergence | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

double additionalParam`[protected]`

MeasureMode mode`[protected]`

long newestStepIndex`[protected]`

double& observedValue`[protected]`

long oldestStepIndex`[protected]`

long stepSpan`[protected]`

long stepsReached`[protected]`

double* valueHistory`[protected]`

The documentation for this class was generated from the following files:

- statisticmeasure.h
- statisticmeasure.cpp